// Doc: https://www.freedesktop.org/wiki/Software/Plymouth/Scripts/
// Nice colour on top of the screen fading to
Window.SetBackgroundTopColor (0.0, 0.00, 0.0);

// an equally nice colour on the bottom
Window.SetBackgroundBottomColor (0.0, 0.00, 0.0);

screen_ratio = Window.GetHeight() / Window.GetWidth();

// Scales image to fill the screen while respecting the aspect ratio
fun scale_image(image) {

  image_ratio = image.GetHeight() / image.GetWidth();
  if (screen_ratio > image_ratio)  {
     // Screen ratio is taller than image ratio, we will match the screen height
     scale_factor =  Window.GetHeight() / image.GetHeight();
  } else {
     // Screen ratio is wider than image ratio, we will match the screen width
     scale_factor =  Window.GetWidth() / image.GetWidth();
  }
  return image.Scale(
              image.GetWidth()  * scale_factor,
              image.GetHeight() * scale_factor);
}

// Image animation loop
for (i = 1; i < {{FrameCount}}; i++)
  frame_images[i] = scale_image(Image("progress-" + i + ".png"));

frame_sprite = Sprite();


// Place in the centre
frame_sprite.SetX(Window.GetWidth() / 2 - frame_images[1].GetWidth() / 2);
frame_sprite.SetY(Window.GetHeight() / 2 - frame_images[1].GetHeight() / 2);

progress = 1;

// Called up to 50 times per second
fun refresh_callback () {
  // Assume the animation is 25fps
  frame_sprite.SetImage(frame_images[Math.Int(progress / 2) % {{FrameCount}}]);
  progress++;
}

Plymouth.SetRefreshFunction (refresh_callback);
